> For the complete documentation index, see [llms.txt](https://docs.appmixer.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.appmixer.com/kb/appmixer-studio-features/visual-features/renaming-a-flow.md).

# Renaming a flow

A naming convention is important. A naming convention is important. A naming con... We just can't stress that enough. It indeed is important to keep your account organised. Your future yourself or your colleagues will thank you for that.

[Knowing that you've learned some of the key features of the Appmixer Studio like exporting flow to an image](/kb/appmixer-studio-features/visual-features/exporting-flow-to-image.md), now it's the right time to learn how to rename a flow.

{% embed url="<https://youtu.be/iOan8an0a1g>" %}
Renaming a flow
{% endembed %}

Open the flow and click on the "pen" icon next to the current flow name.

![Open the flow and click on the "pencil" icon next to the current flow name](https://660555879-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-Meyy9fJyhzsrd3q4-5N%2F-MfDbsqB4PlvzPsfxgID%2F-MfDg_sY6uWXdBgPFLrg%2Fgif-10-1.gif?alt=media\&token=216c4a71-dd65-44ff-8b5d-5c0789fdf530)

Now, insert the new name of the flow and click "Rename".

![Insert the new name of the flow and click "Rename"](https://660555879-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-Meyy9fJyhzsrd3q4-5N%2F-MfDbsqB4PlvzPsfxgID%2F-MfDh3Dzyse7-izY5alc%2Fgif-10-2.gif?alt=media\&token=9b560dcd-b003-4019-9fc0-6b924a108883)

That's it! As simple as it looks, having a clear naming convention is helpful. [Next, we'll show you how to change a name of a component](/kb/appmixer-studio-features/visual-features/renaming-a-component.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.appmixer.com/kb/appmixer-studio-features/visual-features/renaming-a-flow.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
